package mvcsSkeleton.controllers.events
{
	import flash.events.Event;

	public class LoggerEvent extends Event
	{
		public static const VIEW_STATE_CHANGED:String = "viewStateChanged";

		private var _payload:String;

		public function LoggerEvent(type:String, payload:String=null, bubbles:Boolean=false, cancelable:Boolean=false)
		{
			super(type, bubbles, cancelable);
			_payload = payload;
		}

		public function get payload():String
		{
			return _payload;
		}

		override public function clone():Event
		{
			return new LoggerEvent(type, payload, bubbles, cancelable);
		}
	}
}
