package mvcsSkeleton.views.mediators
{
	import mvcsSkeleton.controllers.events.BehavioursEvent;
	import mvcsSkeleton.views.api.IMakeSquares;

	import robotlegs.bender.bundles.mvcs.Mediator;

	public class MakeSquaresMediator extends Mediator
	{
		[Inject]
		public var view:IMakeSquares;

		override public function initialize():void
		{
			trace("MakeSquareMediator.initialize()");
			addContextListener(BehavioursEvent.MAKE_SQUARE_REQUESTED, onMakeSquare, BehavioursEvent);
		}

		private function onMakeSquare(event:BehavioursEvent):void
		{
			//view == views implementing IMakeSquares: MonomorphicViewOne,PolymorphicView)
			view.makeSquare(Number(event.payload));
		}
	}
}
